using System;
using System.Collections.Generic;
using System.Text;

using NBear.Common.Design;

namespace SimpleGuestbook.Designs
{
    public interface Admin : Entity
    {
        [PrimaryKey]
        int ID { get; }
        string Password { get; set; }
    }

    public interface Message : Entity
    {
        [PrimaryKey]
        int ID { get; }
        [SqlType("ntext")]
        string AdminFeedback { get; set; }
        DateTime? AdminFeedbackTime { get; set; }
        [SqlType("ntext")]
        string Content { get; set; }
        string Email { get; set; }
        bool IsPrivate { get; set; }
        string Nick { get; set; }
        DateTime PostTime { get; set; }
    }
}
