if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Admin]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[Admin]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Message]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[Message]
GO

CREATE TABLE [dbo].[Admin] (
[ID] int IDENTITY (1, 1) NOT NULL,
[Password] nvarchar(127)
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[Admin] WITH NOCHECK ADD
CONSTRAINT [PK_Admin] PRIMARY KEY CLUSTERED
(
[ID]
) ON [PRIMARY]
GO

CREATE INDEX [ID] ON [dbo].[Admin]([ID]) ON [PRIMARY]
GO

CREATE TABLE [dbo].[Message] (
[ID] int IDENTITY (1, 1) NOT NULL,
[AdminFeedback] ntext,
[AdminFeedbackTime] datetime NOT NULL,
[Content] ntext,
[Email] nvarchar(127),
[IsPrivate] bit NOT NULL,
[Nick] nvarchar(127),
[PostTime] datetime NOT NULL
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[Message] WITH NOCHECK ADD
CONSTRAINT [PK_Message] PRIMARY KEY CLUSTERED
(
[ID]
) ON [PRIMARY]
GO

CREATE INDEX [ID] ON [dbo].[Message]([ID]) ON [PRIMARY]
GO

